Download it now!
Bug 48536 - UI: Line Arrow Style symbols truncated
Summary: UI: Line Arrow Style symbols truncated
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-10 23:59 UTC by Rainer Bielefeld Retired
Modified: 2012-05-06 06:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (44.05 KB, application/pdf)
2012-04-10 23:59 UTC, Rainer Bielefeld Retired
Details
Screenshot After Fix (12.44 KB, application/pdf)
2012-05-06 06:50 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-04-10 23:59:41 UTC
Created attachment 59789 [details]
Screenshot

Steps to reproduce with parallel  installation of  Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 4495824-6299bf6-ec8645]" (tinderbox: Win-x86@6-fast pull time 2012-04-08 00:03:52)
1. Open New DRAW document from LibO Starc Center by clicking DRAWING
   button
2. Meu 'Format Line - Arrow Styles' click pulldown
   Expected: all Line end symbols shown properly
   Actual: partly truncated, mostly at the bottom

Very old Bugg inherited from OOo
Samp problem opening dialog from icon 'Line' in 'Line and Filling' Toolbar or clicking 'Arrow Style' in this toolbar
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 Mònica Ramírez Arceda 2012-04-14 08:52:42 UTC
[Reproducible] with "LibreOffice 3.5.2.2 - Build ID: 281b639-6baa1d3-ef66a77-d866f25-f36d45f - GNU/Linux Debian testing (32bit) English UI"
Comment 2 Rainer Bielefeld Retired 2012-04-14 16:17:51 UTC
Also visible with LibO 3.4 on Ubuntu 11.xx 64 Bit (VirtualBox)

@Ivan:
Can you please have a look? Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 3 Not Assigned 2012-04-30 06:48:35 UTC
Ivan Timofeev committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f4eb738cf778a337e31a864fc4a6af36f0fa60a5

fdo#48536: prevent lineends from exceeding the background area
Comment 4 Rainer Bielefeld Retired 2012-05-06 06:50:34 UTC
Created attachment 61103 [details]
Screenshot After Fix

Looks fine with parallel installation of Master "LOdev 3.6.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 35ec153]" (tinderbox: Win-x86@6-fast, pull time 2012-05-02 06:53:41). To me it seems that there might be a vertical 1 pixel asymmetry, what still shows a very very small cropping for some of the Symbols, but IMHO that's nothing for what we still need a fix.